<?php
/**
* Sets sections for Blogto_Customizer
*
* @since  Blogto 1.0.0
* @param  array $sections
* @return array Merged array
*/
function Blogto_Customizer_sections( $sections ){

	$blogto_sections = array(
		
		# Section for Fronpage panel
		'slider' => array(
			'title' => esc_html__( 'Slider', 'blogto' ),
			'panel' => 'frontpage_options'
		),
		'home_callback' => array(
			'title' => esc_html__( 'Callback', 'blogto' ),
			'panel' => 'frontpage_options'
		),
		'home_blog' => array(
			'title' => esc_html__( 'Blog', 'blogto' ),
			'panel' => 'frontpage_options'
		),
		'home_about' => array(
			'title' => esc_html__( 'About', 'blogto' ),
			'panel' => 'frontpage_options'
		),

		# Section for Theme Options panel
		'header_options' => array(
			'title' => esc_html__( 'Header Options', 'blogto' ),
			'panel' => 'theme_options'
		),
		'layout_options' => array(
			'title' => esc_html__( 'Layout Options', 'blogto' ),
			'panel' => 'theme_options'
		),
		'blog_options' => array(
			'title' => esc_html__( 'Blog Options', 'blogto' ),
			'panel' => 'theme_options'
		),
		'footer_options' => array(
			'title' => esc_html__( 'Footer Options', 'blogto' ),
			'panel' => 'theme_options'
		)
	);

	return array_merge( $blogto_sections, $sections );
}
add_filter( 'Blogto_Customizer_sections', 'Blogto_Customizer_sections' );